package ltd.llvy.postgis.handler;

import com.fasterxml.jackson.core.JsonGenerator;
import com.fasterxml.jackson.databind.JsonSerializer;
import com.fasterxml.jackson.databind.SerializerProvider;
import java.io.IOException;
import org.locationtech.jts.geom.Geometry;
import org.locationtech.jts.io.WKTWriter;

/**
 * (GeometrySerializer)
 *
 * @author zweiandlen
 * @since 2024/6/5 下午4:40
 */
public class GeometrySerializer extends JsonSerializer<Geometry> {

  @Override
  public void serialize(
      Geometry geometry, JsonGenerator jsonGenerator, SerializerProvider serializerProvider)
      throws IOException {
    jsonGenerator.writeObject(new WKTWriter().write(geometry));
  }
}
